Easiest way to change from 2.3.1 snapshot to 2.3.1 release?



  • I switched the update settings from Development Snapshots to Stable but going to System Update shows that it will update to 2.3.2a… I saw the sticky about running pkg update -f but that didn't help.

    Current Base System 2.3.1.a.20160513.0941
    Latest Base System 2.3.2.a.20160518.0438

    I initially was on 2.3.  I then went to 2.3_1.  I then went to the Development Snapshots.  I am trying to get back to Stable now for 2.3.1.


  • LAYER 8 Netgate

    Set Stable in System > Upgrades, Update Settings
    Check for an update again.



  • I did that per my original post.  Still shows the same.

    EDIT:  Oh pkg upgrade -f  (not pkg update -f)  !!! thanks I will try that.

    EDIT2: Didn't help.  I used pkg upgrade -f but now it looks like it is updating me to 2.3.2a .  Oops… so that wasn't it.



  • It's still going to show 2.3.2a if you were on development to start. But as long as you're set back to stable, go ahead and upgrade where it shows 2.3.2 as the updated version. That'll actually get you to 2.3.1 release.



  • Setting  System | Update | Update Settings  to stable and using option  13) Update from console  via ssh/serial did it just fine.

    edit: console shows the update path from 2.3.1.a… to 2.3.1 to ease your mind. And you still get the choice (y/N) to apply the update.



  • Thanks for the help guys.  It looks like cmb is saying it will update us to Stable.  I will find out in about 15 minutes but it sounds like I will be set after the pkg upgrade -f .

    I see in the console while it is upgrading the follow info.  How do I know if I need that file any more or is just something that should be ignored?

    [143/151] Reinstalling ataidle-2.7.2...
    [143/151] Extracting ataidle-2.7.2: 100%
    [144/151] Reinstalling pkg-1.7.2_2...
    You may need to manually remove /usr/local/etc/pkg.conf if it is no longer needed.
    


  • I used from console:

    pfSense-upgrade -d
    

    and I succesfully got 2.3.1 update.



  • It put me on 2.3.2 development :(.

    2.3.2-DEVELOPMENT (i386)
    built on Wed May 18 04:38:51 CDT 2016
    FreeBSD 10.3-RELEASE-p2

    Update now shows that I can go to 2.3.1 release though so good news.  I will do another update now and see if that happens.

    System Update page shows:
    Current Base System 2.3.2.a.20160518.0438
    Latest Base System 2.3.1

    Just did the update and rebooting now.  Output from upgrade which only downgraded 2 p ackages it looks like.

    >>> Updating repositories metadata... 
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    >>> Unlocking package pfSense-kernel-pfSense... done.
    >>> Downloading upgrade packages... 
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    Checking for upgrades (6 candidates): ...... done
    Processing candidates (6 candidates): ... done
    The following 2 package(s) will be affected (of 0 checked):
    
    Installed packages to be UPGRADED:
    	pfSense-kernel-pfSense: 2.3.1.a.20160513.0941 -> 2.3.1 [pfSense-core]
    	pfSense: 2.3.1.a.20160516.0647 -> 2.3.1 [pfSense]
    
    15 MiB to be downloaded.
    Fetching pfSense-kernel-pfSense-2.3.1.txz: .......... done
    Fetching pfSense-2.3.1.txz: . done
    Checking integrity... done (0 conflicting)
    >>> Upgrading pfSense kernel... 
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    The following 2 package(s) will be affected (of 0 checked):
    
    Installed packages to be UPGRADED:
    	pfSense-kernel-pfSense: 2.3.1.a.20160513.0941 -> 2.3.1 [pfSense-core]
    
    Installed packages to be DOWNGRADED:
    	pfSense-rc: 2.3.2.a.20160518.0438 -> 2.3.1 [pfSense-core]
    
    6 KiB to be downloaded.
    Fetching pfSense-rc-2.3.1.txz: . done
    Checking integrity... done (0 conflicting)
    [1/2] Downgrading pfSense-rc from 2.3.2.a.20160518.0438 to 2.3.1...
    [1/2] Extracting pfSense-rc-2.3.1: .... done
    [2/2] Upgrading pfSense-kernel-pfSense from 2.3.1.a.20160513.0941 to 2.3.1...
    ===> Keeping a copy of current kernel in /boot/kernel.old
    [2/2] Extracting pfSense-kernel-pfSense-2.3.1: .......... done
    Upgrade is complete.  Rebooting in 10 seconds.
    
    


  • After the upgrade -f which took me to 2.3.2 dev and now doing the GUI update which only changed 2 packages it still shows 2.3.2a

    2.3.2-DEVELOPMENT (i386)
    built on Wed May 18 04:38:51 CDT 2016
    FreeBSD 10.3-RELEASE-p3

    System Update still shows the same info after the update.

    Current Base System 2.3.2.a.20160518.0438
    Latest Base System 2.3.1

    Maybe I need to do a pkg upgrade -f  now a second time now that it does show I will go to 2.3.1.  I will try that.



  • Just did the second pkg upgrade -f a second time.  Lots of stuff was updated again like the first upgrade -f and now it is on 2.3.1 release.

    2.3.1-RELEASE (i386)
    built on Tue May 17 18:46:37 CDT 2016
    FreeBSD 10.3-RELEASE-p3

    So I had to do the following…

    • Change to Stable in GUI and save.
    • pkg upgrade -f  (which brought me to 2.3.2a development from 2.3.1a development)
    • GUI update (This was probably not necessary as it didn't update me to 2.3.1 even though it showed that it would)
    • pkg upgrade -f  (which brought me to 2.3.1 release)

    Output from the last pkg upgrade -f

    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    Checking for upgrades (152 candidates):  43%
    
    pfSense-kernel-pfSense-2.3.1 is locked and may not be modified
    Checking for upgrades (152 candidates): 100%
    Processing candidates (152 candidates): 100%
    The following 151 package(s) will be affected (of 0 checked):
    
    Installed packages to be DOWNGRADED:
            pfSense-repo: 2.3.2.a.20160518.0438 -> 2.3.1 [pfSense-core]
            pfSense-default-config: 2.3.2.a.20160518.0438 -> 2.3.1 [pfSense-core]
            pfSense-base: 2.3.2.a.20160518.0438 -> 2.3.1 [pfSense-core]
    
    Installed packages to be REINSTALLED:
            pkg-1.7.2_2 [pfSense]
            zip-3.0_1 [pfSense]
            xinetd-2.3.15_1 [pfSense]
            wrapalixresetbutton-0.0.7 [pfSense]
            wol-0.7.1_2 [pfSense]
            vstr-1.0.15_1 [pfSense]
            voucher-0.1_2 [pfSense]
            unbound-1.5.8 [pfSense]
            uclcmd-0.1 [pfSense]
            suricata-3.0_2 [pfSense]
            strongswan-5.4.0 [pfSense]
            sshlockout_pf-0.0.2 [pfSense]
            ssh_tunnel_shell-0.1 [pfSense]
            sqlite3-3.11.1 [pfSense]
            smartmontools-6.4_2 [pfSense]
            scponly-4.8.20110526_2 [pfSense]
            rrdtool-1.5.5_1 [pfSense]
            relayd-5.5.20140810_1 [pfSense]
            rate-0.9_1 [pfSense]
            radvd-1.9.1 [pfSense]
            qstats-0.1_1 [pfSense]
            python27-2.7.11_2 [pfSense]
            php56-zlib-5.6.21 [pfSense]
            php56-xmlwriter-5.6.21 [pfSense]
            php56-xmlreader-5.6.21 [pfSense]
            php56-xml-5.6.21 [pfSense]
            php56-tokenizer-5.6.21 [pfSense]
            php56-sysvshm-5.6.21 [pfSense]
            php56-sysvsem-5.6.21 [pfSense]
            php56-sysvmsg-5.6.21 [pfSense]
            php56-sqlite3-5.6.21 [pfSense]
            php56-sockets-5.6.21 [pfSense]
            php56-simplexml-5.6.21 [pfSense]
            php56-shmop-5.6.21 [pfSense]
            php56-session-5.6.21 [pfSense]
            php56-readline-5.6.21 [pfSense]
            php56-posix-5.6.21 [pfSense]
            php56-pfSense-module-0.12 [pfSense]
            php56-pdo_sqlite-5.6.21 [pfSense]
            php56-pdo-5.6.21 [pfSense]
            php56-pcntl-5.6.21 [pfSense]
            php56-openssl-5.6.21 [pfSense]
            php56-opcache-5.6.21 [pfSense]
            php56-mcrypt-5.6.21 [pfSense]
            php56-mbstring-5.6.21 [pfSense]
            php56-ldap-5.6.21 [pfSense]
            php56-json-5.6.21 [pfSense]
            php56-hash-5.6.21 [pfSense]
            php56-gettext-5.6.21 [pfSense]
            php56-filter-5.6.21 [pfSense]
            php56-dom-5.6.21 [pfSense]
            php56-curl-5.6.21 [pfSense]
            php56-ctype-5.6.21 [pfSense]
            php56-bz2-5.6.21 [pfSense]
            php56-bcmath-5.6.21 [pfSense]
            php56-5.6.21 [pfSense]
            php-xdebug-2.2.5 [pfSense]
            php-suhosin-0.9.38 [pfSense]
            pftop-0.7_6 [pfSense]
            pfSense-rc-2.3.1 [pfSense-core]
            pfSense-pkg-suricata-3.0_7 [pfSense]
            pfSense-pkg-openvpn-client-export-1.3.8 [pfSense]
            pfSense-pkg-nmap-1.4.4_1 [pfSense]
            pfSense-pkg-iftop-0.17_2 [pfSense]
            pfSense-Status_Monitoring-1.3_1 [pfSense]
            pfSense-2.3.1 [pfSense]
            perl5-5.20.3_12 [pfSense]
            pecl-zmq-1.1.3_1 [pfSense]
            pecl-ssh2-0.12 [pfSense]
            pecl-rrd-1.1.3_2 [pfSense]
            pecl-radius-1.2.7 [pfSense]
            pcre-8.38_1 [pfSense]
            p7zip-15.14 [pfSense]
            openvpn-client-export-2.3.11 [pfSense]
            openvpn-2.3.11 [pfSense]
            openldap-client-2.4.44 [pfSense]
            oniguruma5-5.9.6_1 [pfSense]
            ntp-4.2.8p7 [pfSense]
            nss-3.23 [pfSense]
            nspr-4.12 [pfSense]
            nmap-7.12 [pfSense]
            nginx-1.8.1,2 [pfSense]
            nettle-3.2 [pfSense]
            mysql56-client-5.6.30 [pfSense]
            mpd5-5.8 [pfSense]
            mpd4-4.4.1_1 [pfSense]
            miniupnpd-1.9.20160113,1 [pfSense]
            minicron-0.0.2 [pfSense]
            lzo2-2.09 [pfSense]
            luajit-2.0.4 [pfSense]
            links-2.9,1 [pfSense]
            libzmq4-4.1.4_1 [pfSense]
            libyaml-0.1.6_2 [pfSense]
            libxml2-2.9.3 [pfSense]
            libucl-0.8.0 [pfSense]
            libssh2-1.6.0_1,2 [pfSense]
            libsodium-1.0.8 [pfSense]
            libpdel-0.5.3_6 [pfSense]
            libnet-1.1.6_4,1 [pfSense]
            libmcrypt-2.5.8_3 [pfSense]
            libltdl-2.4.6 [pfSense]
            libidn-1.31 [pfSense]
            libiconv-1.14_9 [pfSense]
            libhtp-0.5.18 [pfSense]
            libffi-3.2.1 [pfSense]
            libevent2-2.0.22_1 [pfSense]
            libedit-3.1.20150325_2 [pfSense]
            libdaemon-0.14_1 [pfSense]
            ldns-1.6.17_5 [pfSense]
            jansson-2.7_2 [pfSense]
            isc-dhcp43-server-4.3.3P1_1 [pfSense]
            isc-dhcp43-relay-4.3.3P1_1 [pfSense]
            isc-dhcp43-client-4.3.3P1_1 [pfSense]
            ipmitool-1.8.15_1 [pfSense]
            indexinfo-0.2.4 [pfSense]
            igmpproxy-0.1_3,1 [pfSense]
            iftop-1.0.p4 [pfSense]
            idnkit-1.0_5 [pfSense]
            gogoc-1.2_1 [pfSense]
            gmp-5.1.3_3 [pfSense]
            glib-2.46.2 [pfSense]
            gettext-runtime-0.19.7 [pfSense]
            filterlog-0.1_2 [pfSense]
            filterdns-1.0_9 [pfSense]
            expiretable-0.6_1 [pfSense]
            expat-2.1.0_3 [pfSense]
            dpinger-2.0 [pfSense]
            dnsmasq-devel-2.76.0test12 [pfSense]
            dmidecode-3.0 [pfSense]
            dhcpleases6-0.1_2 [pfSense]
            dhcpleases-0.3_1 [pfSense]
            dhcp6-20080615_7 [pfSense]
            curl-7.48.0_1 [pfSense]
            cpustats-0.1_1 [pfSense]
            cpdup-1.18 [pfSense]
            clog-1.0.1 [pfSense]
            choparp-20150613 [pfSense]
            check_reload_status-0.0.7 [pfSense]
            ca_root_nss-3.22.2 [pfSense]
            bwi-firmware-kmod-3.130.20 [pfSense]
            bsnmp-ucd-0.4.2 [pfSense]
            bsnmp-regex-0.6_1 [pfSense]
            broccoli-1.97,1 [pfSense]
            bind-tools-9.10.3P4 [pfSense]
            beep-1.0_1 [pfSense]
            barnyard2-1.13 [pfSense]
            ataidle-2.7.2 [pfSense]
            GeoIP-1.6.9 [pfSense]
    
    90 MiB to be downloaded.
    
    Proceed with this action? [y/N]: y
    Fetching pkg-1.7.2_2.txz: 100%    2 MiB 641.2kB/s    00:04
    Fetching zip-3.0_1.txz: 100%  133 KiB 135.7kB/s    00:01
    Fetching xinetd-2.3.15_1.txz: 100%   72 KiB  73.5kB/s    00:01
    Fetching wrapalixresetbutton-0.0.7.txz: 100%    4 KiB   4.5kB/s    00:01
    Fetching wol-0.7.1_2.txz: 100%   21 KiB  21.8kB/s    00:01
    Fetching vstr-1.0.15_1.txz: 100%  181 KiB 185.3kB/s    00:01
    Fetching voucher-0.1_2.txz: 100%    5 KiB   5.1kB/s    00:01
    Fetching unbound-1.5.8.txz: 100%  594 KiB 608.5kB/s    00:01
    Fetching uclcmd-0.1.txz: 100%   14 KiB  14.4kB/s    00:01
    Fetching suricata-3.0_2.txz: 100%  609 KiB 623.3kB/s    00:01
    Fetching strongswan-5.4.0.txz: 100%    1 MiB 572.6kB/s    00:02
    Fetching sshlockout_pf-0.0.2.txz: 100%    4 KiB   4.1kB/s    00:01
    Fetching ssh_tunnel_shell-0.1.txz: 100%  133 KiB 135.9kB/s    00:01
    Fetching sqlite3-3.11.1.txz: 100%  708 KiB 725.1kB/s    00:01
    Fetching smartmontools-6.4_2.txz: 100%  283 KiB 290.0kB/s    00:01
    Fetching scponly-4.8.20110526_2.txz: 100%   12 KiB  12.6kB/s    00:01
    Fetching rrdtool-1.5.5_1.txz: 100%  196 KiB 200.7kB/s    00:01
    Fetching relayd-5.5.20140810_1.txz: 100%  104 KiB 106.4kB/s    00:01
    Fetching rate-0.9_1.txz: 100%   45 KiB  46.4kB/s    00:01
    Fetching radvd-1.9.1.txz: 100%   42 KiB  43.1kB/s    00:01
    Fetching qstats-0.1_1.txz: 100%    6 KiB   6.1kB/s    00:01
    Fetching python27-2.7.11_2.txz: 100%   10 MiB   1.2MB/s    00:09
    Fetching php56-zlib-5.6.21.txz: 100%   13 KiB  13.2kB/s    00:01
    Fetching php56-xmlwriter-5.6.21.txz: 100%   10 KiB  10.7kB/s    00:01
    Fetching php56-xmlreader-5.6.21.txz: 100%   11 KiB  11.7kB/s    00:01
    Fetching php56-xml-5.6.21.txz: 100%   17 KiB  17.9kB/s    00:01
    Fetching php56-tokenizer-5.6.21.txz: 100%    7 KiB   7.6kB/s    00:01
    Fetching php56-sysvshm-5.6.21.txz: 100%    7 KiB   7.2kB/s    00:01
    Fetching php56-sysvsem-5.6.21.txz: 100%    6 KiB   6.2kB/s    00:01
    Fetching php56-sysvmsg-5.6.21.txz: 100%    8 KiB   8.0kB/s    00:01
    Fetching php56-sqlite3-5.6.21.txz: 100%   16 KiB  16.0kB/s    00:01
    Fetching php56-sockets-5.6.21.txz: 100%   31 KiB  32.2kB/s    00:01
    Fetching php56-simplexml-5.6.21.txz: 100%   20 KiB  20.7kB/s    00:01
    Fetching php56-shmop-5.6.21.txz: 100%    6 KiB   6.6kB/s    00:01
    Fetching php56-session-5.6.21.txz: 100%   27 KiB  28.1kB/s    00:01
    Fetching php56-readline-5.6.21.txz: 100%   12 KiB  12.2kB/s    00:01
    Fetching php56-posix-5.6.21.txz: 100%   10 KiB  10.1kB/s    00:01
    Fetching php56-pfSense-module-0.12.txz: 100%   23 KiB  23.6kB/s    00:01
    Fetching php56-pdo_sqlite-5.6.21.txz: 100%   11 KiB  11.6kB/s    00:01
    Fetching php56-pdo-5.6.21.txz: 100%   40 KiB  41.3kB/s    00:01
    Fetching php56-pcntl-5.6.21.txz: 100%   11 KiB  11.7kB/s    00:01
    Fetching php56-openssl-5.6.21.txz: 100%   44 KiB  45.0kB/s    00:01
    Fetching php56-opcache-5.6.21.txz: 100%   59 KiB  60.8kB/s    00:01
    Fetching php56-mcrypt-5.6.21.txz: 100%   14 KiB  14.2kB/s    00:01
    Fetching php56-mbstring-5.6.21.txz: 100%  700 KiB 717.0kB/s    00:01
    Fetching php56-ldap-5.6.21.txz: 100%   19 KiB  19.1kB/s    00:01
    Fetching php56-json-5.6.21.txz: 100%   16 KiB  16.1kB/s    00:01
    Fetching php56-hash-5.6.21.txz: 100%  116 KiB 119.1kB/s    00:01
    Fetching php56-gettext-5.6.21.txz: 100%    6 KiB   6.4kB/s    00:01
    Fetching php56-filter-5.6.21.txz: 100%   18 KiB  18.9kB/s    00:01
    Fetching php56-dom-5.6.21.txz: 100%   50 KiB  51.0kB/s    00:01
    Fetching php56-curl-5.6.21.txz: 100%   25 KiB  26.0kB/s    00:01
    Fetching php56-ctype-5.6.21.txz: 100%    6 KiB   6.1kB/s    00:01
    Fetching php56-bz2-5.6.21.txz: 100%   10 KiB  10.3kB/s    00:01
    Fetching php56-bcmath-5.6.21.txz: 100%   17 KiB  17.6kB/s    00:01
    Fetching php56-5.6.21.txz: 100%    2 MiB 926.7kB/s    00:02
    Fetching php-xdebug-2.2.5.txz: 100%   72 KiB  73.6kB/s    00:01
    Fetching php-suhosin-0.9.38.txz: 100%   52 KiB  53.6kB/s    00:01
    Fetching pftop-0.7_6.txz: 100%   51 KiB  52.5kB/s    00:01
    Fetching pfSense-repo-2.3.1.txz: 100%    2 KiB   2.4kB/s    00:01
    Fetching pfSense-pkg-suricata-3.0_7.txz: 100%  118 KiB 121.2kB/s    00:01
    Fetching pfSense-pkg-openvpn-client-export-1.3.8.txz: 100%   16 KiB  15.9kB/s    00:01
    Fetching pfSense-pkg-nmap-1.4.4_1.txz: 100%    5 KiB   5.3kB/s    00:01
    Fetching pfSense-pkg-iftop-0.17_2.txz: 100%    2 KiB   2.5kB/s    00:01
    Fetching pfSense-default-config-2.3.1.txz: 100%    4 KiB   3.6kB/s    00:01
    Fetching pfSense-base-2.3.1.txz: 100%   24 MiB   1.2MB/s    00:20
    Fetching pfSense-Status_Monitoring-1.3_1.txz: 100%   12 KiB  12.7kB/s    00:01  
    Fetching perl5-5.20.3_12.txz: 100%   13 MiB   1.2MB/s    00:11
    Fetching pecl-zmq-1.1.3_1.txz: 100%   22 KiB  22.6kB/s    00:01
    Fetching pecl-ssh2-0.12.txz: 100%   23 KiB  23.1kB/s    00:01
    Fetching pecl-rrd-1.1.3_2.txz: 100%   11 KiB  10.8kB/s    00:01
    Fetching pecl-radius-1.2.7.txz: 100%   19 KiB  19.2kB/s    00:01
    Fetching pcre-8.38_1.txz: 100%  839 KiB 859.0kB/s    00:01
    Fetching p7zip-15.14.txz: 100%    1 MiB   1.1MB/s    00:01
    Fetching openvpn-client-export-2.3.11.txz: 100%    6 MiB   1.1MB/s    00:06
    Fetching openvpn-2.3.11.txz: 100%  280 KiB 286.6kB/s    00:01
    Fetching openldap-client-2.4.44.txz: 100%  461 KiB 472.0kB/s    00:01
    Fetching oniguruma5-5.9.6_1.txz: 100%  133 KiB 136.0kB/s    00:01
    Fetching ntp-4.2.8p7.txz: 100%  449 KiB 459.5kB/s    00:01
    Fetching nss-3.23.txz: 100%    2 MiB 819.6kB/s    00:02
    Fetching nspr-4.12.txz: 100%  252 KiB 257.6kB/s    00:01
    Fetching nmap-7.12.txz: 100%    5 MiB 961.0kB/s    00:05
    Fetching nginx-1.8.1,2.txz: 100%  243 KiB 249.3kB/s    00:01
    Fetching nettle-3.2.txz: 100%  545 KiB 557.7kB/s    00:01
    Fetching mysql56-client-5.6.30.txz: 100%    2 MiB 917.8kB/s    00:02
    Fetching mpd5-5.8.txz: 100%  226 KiB 231.2kB/s    00:01
    Fetching mpd4-4.4.1_1.txz: 100%  169 KiB 173.1kB/s    00:01
    Fetching miniupnpd-1.9.20160113,1.txz: 100%   51 KiB  52.4kB/s    00:01
    Fetching minicron-0.0.2.txz: 100%    3 KiB   3.1kB/s    00:01
    Fetching lzo2-2.09.txz: 100%   93 KiB  94.9kB/s    00:01
    Fetching luajit-2.0.4.txz: 100%  409 KiB 419.1kB/s    00:01
    Fetching links-2.9,1.txz: 100%  339 KiB 347.0kB/s    00:01
    Fetching libzmq4-4.1.4_1.txz: 100%  345 KiB 353.1kB/s    00:01
    Fetching libyaml-0.1.6_2.txz: 100%   70 KiB  71.5kB/s    00:01
    Fetching libxml2-2.9.3.txz: 100%  765 KiB 783.7kB/s    00:01
    Fetching libucl-0.8.0.txz: 100%  105 KiB 107.3kB/s    00:01
    Fetching libssh2-1.6.0_1,2.txz: 100%  203 KiB 208.2kB/s    00:01
    Fetching libsodium-1.0.8.txz: 100%  169 KiB 172.6kB/s    00:01
    Fetching libpdel-0.5.3_6.txz: 100%  937 KiB 959.1kB/s    00:01
    Fetching libnet-1.1.6_4,1.txz: 100%  104 KiB 106.2kB/s    00:01
    Fetching libmcrypt-2.5.8_3.txz: 100%  102 KiB 104.0kB/s    00:01
    Fetching libltdl-2.4.6.txz: 100%   35 KiB  35.8kB/s    00:01
    Fetching libidn-1.31.txz: 100%  183 KiB 186.9kB/s    00:01
    Fetching libiconv-1.14_9.txz: 100%  585 KiB 599.3kB/s    00:01
    Fetching libhtp-0.5.18.txz: 100%   81 KiB  82.6kB/s    00:01
    Fetching libffi-3.2.1.txz: 100%   35 KiB  35.3kB/s    00:01
    Fetching libevent2-2.0.22_1.txz: 100%  254 KiB 260.2kB/s    00:01
    Fetching libedit-3.1.20150325_2.txz: 100%  119 KiB 121.8kB/s    00:01
    Fetching libdaemon-0.14_1.txz: 100%   21 KiB  21.6kB/s    00:01
    Fetching ldns-1.6.17_5.txz: 100%  278 KiB 284.2kB/s    00:01
    Fetching jansson-2.7_2.txz: 100%   37 KiB  37.7kB/s    00:01
    Fetching isc-dhcp43-server-4.3.3P1_1.txz: 100%  896 KiB 917.5kB/s    00:01
    Fetching isc-dhcp43-relay-4.3.3P1_1.txz: 100%  514 KiB 526.2kB/s    00:01
    Fetching isc-dhcp43-client-4.3.3P1_1.txz: 100%  565 KiB 578.1kB/s    00:01
    Fetching ipmitool-1.8.15_1.txz: 100%  293 KiB 300.1kB/s    00:01
    Fetching indexinfo-0.2.4.txz: 100%    5 KiB   4.9kB/s    00:01
    Fetching igmpproxy-0.1_3,1.txz: 100%   16 KiB  16.6kB/s    00:01
    Fetching iftop-1.0.p4.txz: 100%   33 KiB  34.1kB/s    00:01
    Fetching idnkit-1.0_5.txz: 100%  171 KiB 175.3kB/s    00:01
    Fetching gogoc-1.2_1.txz: 100%   71 KiB  73.2kB/s    00:01
    Fetching gmp-5.1.3_3.txz: 100%  468 KiB 478.7kB/s    00:01
    Fetching glib-2.46.2.txz: 100%    3 MiB 887.2kB/s    00:03
    Fetching gettext-runtime-0.19.7.txz: 100%  144 KiB 147.7kB/s    00:01
    Fetching filterlog-0.1_2.txz: 100%    9 KiB   8.9kB/s    00:01
    Fetching filterdns-1.0_9.txz: 100%   13 KiB  13.1kB/s    00:01
    Fetching expiretable-0.6_1.txz: 100%    7 KiB   7.0kB/s    00:01
    Fetching expat-2.1.0_3.txz: 100%  111 KiB 113.4kB/s    00:01
    Fetching dpinger-2.0.txz: 100%    9 KiB   9.4kB/s    00:01
    Fetching dnsmasq-devel-2.76.0test12.txz: 100%  236 KiB 241.4kB/s    00:01
    Fetching dmidecode-3.0.txz: 100%   47 KiB  48.1kB/s    00:01
    Fetching dhcpleases6-0.1_2.txz: 100%    6 KiB   6.6kB/s    00:01
    Fetching dhcpleases-0.3_1.txz: 100%    7 KiB   7.6kB/s    00:01
    Fetching dhcp6-20080615_7.txz: 100%  104 KiB 106.4kB/s    00:01
    Fetching curl-7.48.0_1.txz: 100%  888 KiB 909.2kB/s    00:01
    Fetching cpustats-0.1_1.txz: 100%    3 KiB   2.7kB/s    00:01
    Fetching cpdup-1.18.txz: 100%   24 KiB  24.8kB/s    00:01
    Fetching clog-1.0.1.txz: 100%    4 KiB   4.3kB/s    00:01
    Fetching choparp-20150613.txz: 100%    7 KiB   7.3kB/s    00:01
    Fetching check_reload_status-0.0.7.txz: 100%   27 KiB  27.2kB/s    00:01
    Fetching ca_root_nss-3.22.2.txz: 100%  322 KiB 329.7kB/s    00:01
    Fetching bwi-firmware-kmod-3.130.20.txz: 100%   22 KiB  22.7kB/s    00:01
    Fetching bsnmp-ucd-0.4.2.txz: 100%   16 KiB  16.0kB/s    00:01
    Fetching bsnmp-regex-0.6_1.txz: 100%   18 KiB  18.9kB/s    00:01
    Fetching broccoli-1.97,1.txz: 100%   97 KiB  99.0kB/s    00:01
    Fetching bind-tools-9.10.3P4.txz: 100%    2 MiB   1.1MB/s    00:02
    Fetching beep-1.0_1.txz: 100%    5 KiB   5.5kB/s    00:01
    Fetching barnyard2-1.13.txz: 100%  114 KiB 117.2kB/s    00:01
    Fetching ataidle-2.7.2.txz: 100%    8 KiB   8.2kB/s    00:01
    Fetching GeoIP-1.6.9.txz: 100%  106 KiB 108.4kB/s    00:01
    Checking integrity... done (0 conflicting)
    [1/151] Reinstalling indexinfo-0.2.4...
    [1/151] Extracting indexinfo-0.2.4: 100%
    [2/151] Reinstalling libffi-3.2.1...
    [2/151] Extracting libffi-3.2.1: 100%
    [3/151] Reinstalling gettext-runtime-0.19.7...
    [3/151] Extracting gettext-runtime-0.19.7: 100%
    [4/151] Reinstalling python27-2.7.11_2...
    [4/151] Extracting python27-2.7.11_2: 100%
    [5/151] Reinstalling perl5-5.20.3_12...
    [5/151] Extracting perl5-5.20.3_12: 100%
    makewhatis: not found
    makewhatis: not found
    pkg: POST-INSTALL script failed
    [6/151] Reinstalling pcre-8.38_1...
    [6/151] Extracting pcre-8.38_1: 100%
    [7/151] Reinstalling libiconv-1.14_9...
    [7/151] Extracting libiconv-1.14_9: 100%
    [8/151] Reinstalling libxml2-2.9.3...
    [8/151] Extracting libxml2-2.9.3: 100%
    [9/151] Reinstalling libevent2-2.0.22_1...
    [9/151] Extracting libevent2-2.0.22_1: 100%
    [10/151] Reinstalling ldns-1.6.17_5...
    [10/151] Extracting ldns-1.6.17_5: 100%
    [11/151] Reinstalling glib-2.46.2...
    [11/151] Extracting glib-2.46.2: 100%
    No schema files found: doing nothing.
    [12/151] Reinstalling expat-2.1.0_3...
    [12/151] Extracting expat-2.1.0_3: 100%
    [13/151] Reinstalling ca_root_nss-3.22.2...
    [13/151] Extracting ca_root_nss-3.22.2: 100%
    [14/151] Reinstalling vstr-1.0.15_1...
    [14/151] Extracting vstr-1.0.15_1: 100%
    [15/151] Reinstalling unbound-1.5.8...
    ==> You should manually remove the "unbound" user.
    ===> Creating users and/or groups.
    Using existing group 'unbound'.
    Using existing user 'unbound'.
    [15/151] Extracting unbound-1.5.8: 100%
    [16/151] Reinstalling sqlite3-3.11.1...
    [16/151] Extracting sqlite3-3.11.1: 100%
    [17/151] Reinstalling rrdtool-1.5.5_1...
    [17/151] Extracting rrdtool-1.5.5_1: 100%
    [18/151] Reinstalling php56-5.6.21...
    [18/151] Extracting php56-5.6.21: 100%
    [19/151] Reinstalling nspr-4.12...
    [19/151] Extracting nspr-4.12: 100%
    [20/151] Reinstalling libsodium-1.0.8...
    [20/151] Extracting libsodium-1.0.8: 100%
    [21/151] Reinstalling libedit-3.1.20150325_2...
    [21/151] Extracting libedit-3.1.20150325_2: 100%
    [22/151] Reinstalling gmp-5.1.3_3...
    [22/151] Extracting gmp-5.1.3_3: 100%
    [23/151] Reinstalling curl-7.48.0_1...
    [23/151] Extracting curl-7.48.0_1: 100%
    [24/151] Reinstalling GeoIP-1.6.9...
    [24/151] Extracting GeoIP-1.6.9: 100%
    [25/151] Reinstalling strongswan-5.4.0...
    [25/151] Extracting strongswan-5.4.0: 100%
    [26/151] Reinstalling php56-session-5.6.21...
    [26/151] Extracting php56-session-5.6.21: 100%
    [27/151] Reinstalling php56-pdo-5.6.21...
    [27/151] Extracting php56-pdo-5.6.21: 100%
    [28/151] Reinstalling php56-dom-5.6.21...
    [28/151] Extracting php56-dom-5.6.21: 100%
    [29/151] Reinstalling pecl-rrd-1.1.3_2...
    [29/151] Extracting pecl-rrd-1.1.3_2: 100%
    [30/151] Reinstalling openldap-client-2.4.44...
    [30/151] Extracting openldap-client-2.4.44: 100%
    [31/151] Reinstalling oniguruma5-5.9.6_1...
    [31/151] Extracting oniguruma5-5.9.6_1: 100%
    [32/151] Reinstalling nss-3.23...
    [32/151] Extracting nss-3.23: 100%
    [33/151] Reinstalling nettle-3.2...
    [33/151] Extracting nettle-3.2: 100%
    [34/151] Reinstalling mysql56-client-5.6.30...
    [34/151] Extracting mysql56-client-5.6.30: 100%
    [35/151] Reinstalling lzo2-2.09...
    [35/151] Extracting lzo2-2.09: 100%
    [36/151] Reinstalling luajit-2.0.4...
    [36/151] Extracting luajit-2.0.4: 100%
    [37/151] Reinstalling libzmq4-4.1.4_1...
    [37/151] Extracting libzmq4-4.1.4_1: 100%
    [38/151] Reinstalling libyaml-0.1.6_2...
    [38/151] Extracting libyaml-0.1.6_2: 100%
    [39/151] Reinstalling libucl-0.8.0...
    [39/151] Extracting libucl-0.8.0: 100%
    [40/151] Reinstalling libssh2-1.6.0_1,2...
    [40/151] Extracting libssh2-1.6.0_1,2: 100%
    [41/151] Reinstalling libpdel-0.5.3_6...
    [41/151] Extracting libpdel-0.5.3_6: 100%
    [42/151] Reinstalling libnet-1.1.6_4,1...
    [42/151] Extracting libnet-1.1.6_4,1: 100%
    [43/151] Reinstalling libmcrypt-2.5.8_3...
    [43/151] Extracting libmcrypt-2.5.8_3: 100%
    [44/151] Reinstalling libltdl-2.4.6...
    [44/151] Extracting libltdl-2.4.6: 100%
    [45/151] Reinstalling libidn-1.31...
    [45/151] Extracting libidn-1.31: 100%
    [46/151] Reinstalling libhtp-0.5.18...
    [46/151] Extracting libhtp-0.5.18: 100%
    [47/151] Reinstalling libdaemon-0.14_1...
    [47/151] Extracting libdaemon-0.14_1: 100%
    [48/151] Reinstalling jansson-2.7_2...
    [48/151] Extracting jansson-2.7_2: 100%
    [49/151] Reinstalling idnkit-1.0_5...
    [49/151] Extracting idnkit-1.0_5: 100%
    [50/151] Reinstalling broccoli-1.97,1...
    [50/151] Extracting broccoli-1.97,1: 100%
    [51/151] Reinstalling zip-3.0_1...
    [51/151] Extracting zip-3.0_1: 100%
    [52/151] Reinstalling xinetd-2.3.15_1...
    [52/151] Extracting xinetd-2.3.15_1: 100%
    [53/151] Reinstalling wrapalixresetbutton-0.0.7...
    [53/151] Extracting wrapalixresetbutton-0.0.7: 100%
    [54/151] Reinstalling wol-0.7.1_2...
    [54/151] Extracting wol-0.7.1_2: 100%
    [55/151] Reinstalling voucher-0.1_2...
    [55/151] Extracting voucher-0.1_2: 100%
    [56/151] Reinstalling uclcmd-0.1...
    [56/151] Extracting uclcmd-0.1: 100%
    [57/151] Reinstalling suricata-3.0_2...
    You may need to manually remove /usr/local/etc/suricata/classification.config if it is no longer needed.
    You may need to manually remove /usr/local/etc/suricata/reference.config if it is no longer needed.
    ==> If you are permanently removing this port, run rm -rf /usr/local/etc/suricata to remove configuration files.
    [57/151] Extracting suricata-3.0_2: 100%
    [58/151] Reinstalling sshlockout_pf-0.0.2...
    [58/151] Extracting sshlockout_pf-0.0.2: 100%
    [59/151] Reinstalling ssh_tunnel_shell-0.1...
    [59/151] Extracting ssh_tunnel_shell-0.1: 100%
    [60/151] Reinstalling smartmontools-6.4_2...
    [60/151] Extracting smartmontools-6.4_2: 100%
    [61/151] Reinstalling scponly-4.8.20110526_2...
    [61/151] Extracting scponly-4.8.20110526_2: 100%
    [62/151] Reinstalling relayd-5.5.20140810_1...
    ==> You should manually remove the "_relayd" user.
    ===> Creating users and/or groups.
    Using existing group '_relayd'.
    Using existing user '_relayd'.
    [62/151] Extracting relayd-5.5.20140810_1: 100%
    [63/151] Reinstalling rate-0.9_1...
    [63/151] Extracting rate-0.9_1: 100%
    [64/151] Reinstalling radvd-1.9.1...
    [64/151] Extracting radvd-1.9.1: 100%
    [65/151] Reinstalling qstats-0.1_1...
    [65/151] Extracting qstats-0.1_1: 100%
    [66/151] Reinstalling php56-zlib-5.6.21...
    [66/151] Extracting php56-zlib-5.6.21: 100%
    [67/151] Reinstalling php56-xmlwriter-5.6.21...
    [67/151] Extracting php56-xmlwriter-5.6.21: 100%
    [68/151] Reinstalling php56-xmlreader-5.6.21...
    [68/151] Extracting php56-xmlreader-5.6.21: 100%
    [69/151] Reinstalling php56-xml-5.6.21...
    [69/151] Extracting php56-xml-5.6.21: 100%
    [70/151] Reinstalling php56-tokenizer-5.6.21...
    [70/151] Extracting php56-tokenizer-5.6.21: 100%
    [71/151] Reinstalling php56-sysvshm-5.6.21...
    [71/151] Extracting php56-sysvshm-5.6.21: 100%
    [72/151] Reinstalling php56-sysvsem-5.6.21...
    [72/151] Extracting php56-sysvsem-5.6.21: 100%
    [73/151] Reinstalling php56-sysvmsg-5.6.21...
    [73/151] Extracting php56-sysvmsg-5.6.21: 100%
    [74/151] Reinstalling php56-sqlite3-5.6.21...
    [74/151] Extracting php56-sqlite3-5.6.21: 100%
    [75/151] Reinstalling php56-sockets-5.6.21...
    [75/151] Extracting php56-sockets-5.6.21: 100%
    [76/151] Reinstalling php56-simplexml-5.6.21...
    [76/151] Extracting php56-simplexml-5.6.21: 100%
    [77/151] Reinstalling php56-shmop-5.6.21...
    [77/151] Extracting php56-shmop-5.6.21: 100%
    [78/151] Reinstalling php56-readline-5.6.21...
    [78/151] Extracting php56-readline-5.6.21: 100%
    [79/151] Reinstalling php56-posix-5.6.21...
    [79/151] Extracting php56-posix-5.6.21: 100%
    [80/151] Reinstalling php56-pfSense-module-0.12...
    [80/151] Extracting php56-pfSense-module-0.12: 100%
    [81/151] Reinstalling php56-pdo_sqlite-5.6.21...
    [81/151] Extracting php56-pdo_sqlite-5.6.21: 100%
    [82/151] Reinstalling php56-pcntl-5.6.21...
    [82/151] Extracting php56-pcntl-5.6.21: 100%
    [83/151] Reinstalling php56-openssl-5.6.21...
    [83/151] Extracting php56-openssl-5.6.21: 100%
    [84/151] Reinstalling php56-opcache-5.6.21...
    [84/151] Extracting php56-opcache-5.6.21: 100%
    [85/151] Reinstalling php56-mcrypt-5.6.21...
    [85/151] Extracting php56-mcrypt-5.6.21: 100%
    [86/151] Reinstalling php56-mbstring-5.6.21...
    [86/151] Extracting php56-mbstring-5.6.21: 100%
    [87/151] Reinstalling php56-ldap-5.6.21...
    [87/151] Extracting php56-ldap-5.6.21: 100%
    [88/151] Reinstalling php56-json-5.6.21...
    [88/151] Extracting php56-json-5.6.21: 100%
    [89/151] Reinstalling php56-hash-5.6.21...
    [89/151] Extracting php56-hash-5.6.21: 100%
    [90/151] Reinstalling php56-gettext-5.6.21...
    [90/151] Extracting php56-gettext-5.6.21: 100%
    [91/151] Reinstalling php56-filter-5.6.21...
    [91/151] Extracting php56-filter-5.6.21: 100%
    [92/151] Reinstalling php56-curl-5.6.21...
    [92/151] Extracting php56-curl-5.6.21: 100%
    [93/151] Reinstalling php56-ctype-5.6.21...
    [93/151] Extracting php56-ctype-5.6.21: 100%
    [94/151] Reinstalling php56-bz2-5.6.21...
    [94/151] Extracting php56-bz2-5.6.21: 100%
    [95/151] Reinstalling php56-bcmath-5.6.21...
    [95/151] Extracting php56-bcmath-5.6.21: 100%
    [96/151] Reinstalling php-xdebug-2.2.5...
    [96/151] Extracting php-xdebug-2.2.5: 100%
    [97/151] Reinstalling php-suhosin-0.9.38...
    [97/151] Extracting php-suhosin-0.9.38: 100%
    [98/151] Reinstalling pftop-0.7_6...
    [98/151] Extracting pftop-0.7_6: 100%
    [99/151] Downgrading pfSense-repo from 2.3.2.a.20160518.0438 to 2.3.1...
    [99/151] Extracting pfSense-repo-2.3.1: 100%
    [100/151] Reinstalling pfSense-rc-2.3.1...
    [100/151] Extracting pfSense-rc-2.3.1: 100%
    [101/151] Reinstalling pfSense-Status_Monitoring-1.3_1...
    [101/151] Extracting pfSense-Status_Monitoring-1.3_1: 100%
    [102/151] Reinstalling pecl-zmq-1.1.3_1...
    [102/151] Extracting pecl-zmq-1.1.3_1: 100%
    [103/151] Reinstalling pecl-ssh2-0.12...
    [103/151] Extracting pecl-ssh2-0.12: 100%
    [104/151] Reinstalling pecl-radius-1.2.7...
    [104/151] Extracting pecl-radius-1.2.7: 100%
    [105/151] Reinstalling p7zip-15.14...
    [105/151] Extracting p7zip-15.14: 100%
    [106/151] Reinstalling openvpn-client-export-2.3.11...
    [106/151] Extracting openvpn-client-export-2.3.11: 100%
    [107/151] Reinstalling openvpn-2.3.11...
    [107/151] Extracting openvpn-2.3.11: 100%
    [108/151] Reinstalling ntp-4.2.8p7...
    [108/151] Extracting ntp-4.2.8p7: 100%
    [109/151] Reinstalling nmap-7.12...
    [109/151] Extracting nmap-7.12: 100%
    [110/151] Reinstalling nginx-1.8.1,2...
    ===> Creating users and/or groups.
    Using existing group 'www'.
    Using existing user 'www'.
    [110/151] Extracting nginx-1.8.1,2: 100%
    [111/151] Reinstalling mpd5-5.8...
    [111/151] Extracting mpd5-5.8: 100%
    [112/151] Reinstalling mpd4-4.4.1_1...
    [112/151] Extracting mpd4-4.4.1_1: 100%
    [113/151] Reinstalling miniupnpd-1.9.20160113,1...
    [113/151] Extracting miniupnpd-1.9.20160113,1: 100%
    [114/151] Reinstalling minicron-0.0.2...
    [114/151] Extracting minicron-0.0.2: 100%
    [115/151] Reinstalling links-2.9,1...
    [115/151] Extracting links-2.9,1: 100%
    [116/151] Reinstalling isc-dhcp43-server-4.3.3P1_1...
    You should stop the dhcpd and dhcpd6 daemons if you are permanently removing this port.
    ==> You should manually remove the "dhcpd" user.
    ===> Creating users and/or groups.
    Using existing group 'dhcpd'.
    Using existing user 'dhcpd'.
    [116/151] Extracting isc-dhcp43-server-4.3.3P1_1: 100%
    [117/151] Reinstalling isc-dhcp43-relay-4.3.3P1_1...
    [117/151] Extracting isc-dhcp43-relay-4.3.3P1_1: 100%
    [118/151] Reinstalling isc-dhcp43-client-4.3.3P1_1...
    [118/151] Extracting isc-dhcp43-client-4.3.3P1_1: 100%
    [119/151] Reinstalling ipmitool-1.8.15_1...
    [119/151] Extracting ipmitool-1.8.15_1: 100%
    [120/151] Reinstalling igmpproxy-0.1_3,1...
    [120/151] Extracting igmpproxy-0.1_3,1: 100%
    [121/151] Reinstalling iftop-1.0.p4...
    [121/151] Extracting iftop-1.0.p4: 100%
    [122/151] Reinstalling gogoc-1.2_1...
    [122/151] Extracting gogoc-1.2_1: 100%
    [123/151] Reinstalling filterlog-0.1_2...
    [123/151] Extracting filterlog-0.1_2: 100%
    [124/151] Reinstalling filterdns-1.0_9...
    [124/151] Extracting filterdns-1.0_9: 100%
    [125/151] Reinstalling expiretable-0.6_1...
    [125/151] Extracting expiretable-0.6_1: 100%
    [126/151] Reinstalling dpinger-2.0...
    [126/151] Extracting dpinger-2.0: 100%
    [127/151] Reinstalling dnsmasq-devel-2.76.0test12...
    [127/151] Extracting dnsmasq-devel-2.76.0test12: 100%
    [128/151] Reinstalling dmidecode-3.0...
    [128/151] Extracting dmidecode-3.0: 100%
    [129/151] Reinstalling dhcpleases6-0.1_2...
    [129/151] Extracting dhcpleases6-0.1_2: 100%
    [130/151] Reinstalling dhcpleases-0.3_1...
    [130/151] Extracting dhcpleases-0.3_1: 100%
    [131/151] Reinstalling dhcp6-20080615_7...
    [131/151] Extracting dhcp6-20080615_7: 100%
    [132/151] Reinstalling cpustats-0.1_1...
    [132/151] Extracting cpustats-0.1_1: 100%
    [133/151] Reinstalling cpdup-1.18...
    [133/151] Extracting cpdup-1.18: 100%
    [134/151] Reinstalling clog-1.0.1...
    [134/151] Extracting clog-1.0.1: 100%
    [135/151] Reinstalling choparp-20150613...
    [135/151] Extracting choparp-20150613: 100%
    [136/151] Reinstalling check_reload_status-0.0.7...
    [136/151] Extracting check_reload_status-0.0.7: 100%
    [137/151] Reinstalling bwi-firmware-kmod-3.130.20...
    [137/151] Extracting bwi-firmware-kmod-3.130.20: 100%
    [138/151] Reinstalling bsnmp-ucd-0.4.2...
    [138/151] Extracting bsnmp-ucd-0.4.2: 100%
    [139/151] Reinstalling bsnmp-regex-0.6_1...
    [139/151] Extracting bsnmp-regex-0.6_1: 100%
    [140/151] Reinstalling bind-tools-9.10.3P4...
    [140/151] Extracting bind-tools-9.10.3P4: 100%
    [141/151] Reinstalling beep-1.0_1...
    [141/151] Extracting beep-1.0_1: 100%
    [142/151] Reinstalling barnyard2-1.13...
    [142/151] Extracting barnyard2-1.13: 100%
    [143/151] Reinstalling ataidle-2.7.2...
    [143/151] Extracting ataidle-2.7.2: 100%
    [144/151] Reinstalling pkg-1.7.2_2...
    You may need to manually remove /usr/local/etc/pkg.conf if it is no longer needed.
    [144/151] Extracting pkg-1.7.2_2: 100%
    [145/151] Reinstalling pfSense-pkg-suricata-3.0_7...
    Removing suricata components...
    Menu items... done.
    Services... done.
    Loading package instructions...
    [145/151] Extracting pfSense-pkg-suricata-3.0_7: 100%
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Executing custom_php_install_command()...Saved settings detected...
    Migrating settings to new configuration...
     done.
    Downloading Emerging Threats Open rules md5 file... done.
    There is a new set of Emerging Threats Open rules posted. Downloading... done.
    Downloading Snort VRT rules md5 file... done.
    There is a new set of Snort VRT rules posted. Downloading... done.
    Installing Emerging Threats Open rules... done.
    Installing Sourcefire VRT rules... done.
    Updating rules configuration for: WAN ... done.
    Cleaning up after rules extraction... done.
    The Rules update has finished.
    Generating suricata.yaml configuration file from saved settings.
    Generating YAML configuration file for WAN... done.
    Finished rebuilding Suricata configuration from saved settings.
    done.
    Executing custom_php_resync_config_command()...done.
    Menu items... done.
    Services... done.
    Writing configuration... done.
    [146/151] Reinstalling pfSense-pkg-openvpn-client-export-1.3.8...
    Removing openvpn-client-export components...
    Loading package instructions...
    [146/151] Extracting pfSense-pkg-openvpn-client-export-1.3.8: 100%
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Writing configuration... done.
    [147/151] Reinstalling pfSense-pkg-nmap-1.4.4_1...
    Removing nmap components...
    Menu items... done.
    Loading package instructions...
    [147/151] Extracting pfSense-pkg-nmap-1.4.4_1: 100%
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Menu items... done.
    Writing configuration... done.
    [148/151] Reinstalling pfSense-pkg-iftop-0.17_2...
    Removing iftop components...
    [148/151] Extracting pfSense-pkg-iftop-0.17_2: 100%
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Custom commands...
    Writing configuration... done.
    [149/151] Downgrading pfSense-default-config from 2.3.2.a.20160518.0438 to 2.3.1...
    [149/151] Extracting pfSense-default-config-2.3.1: 100%
    [150/151] Downgrading pfSense-base from 2.3.2.a.20160518.0438 to 2.3.1...
    ===> Keeping a copy of current version mtree
    [150/151] Extracting pfSense-base-2.3.1: 100%
    ===> Removing schg flag from base files
    ===> Extracting new base tarball
    ===> Removing static obsoleted files
    [151/151] Reinstalling pfSense-2.3.1...
    [151/151] Extracting pfSense-2.3.1: 100%
    Message from python27-2.7.11_2:
    ===========================================================================
    
    Note that some standard Python modules are provided as separate ports
    as they require additional dependencies. They are available as:
    
    bsddb           databases/py-bsddb
    gdbm            databases/py-gdbm
    sqlite3         databases/py-sqlite3
    tkinter         x11-toolkits/py-tkinter
    
    ===========================================================================
    Message from perl5-5.20.3_12:
    The /usr/bin/perl symlink has been removed starting with Perl 5.20.
    For shebangs, you should either use:
    
    #!/usr/local/bin/perl
    
    or
    
    #!/usr/bin/env perl
    
    The first one will only work if you have a /usr/local/bin/perl,
    the second will work as long as perl is in PATH.
    Message from ca_root_nss-3.22.2:
    ********************************* WARNING *********************************
    
    FreeBSD does not, and can not warrant that the certification authorities
    whose certificates are included in this package have in any way been
    audited for trustworthiness or RFC 3647 compliance.
    
    Assessment and verification of trust is the complete responsibility of the
    system administrator.
    
    *********************************** NOTE **********************************
    
    This package installs symlinks to support root certificates discovery by
    default for software that uses OpenSSL.
    
    This enables SSL Certificate Verification by client software without manual
    intervention.
    
    If you prefer to do this manually, replace the following symlinks with
    either an empty file or your site-local certificate bundle.
    
      * /etc/ssl/cert.pem
      * /usr/local/etc/ssl/cert.pem
      * /usr/local/openssl/cert.pem
    
    ***************************************************************************
    Message from GeoIP-1.6.9:
    GeoIP does not ship with the actual data files. You must download
    them yourself! Please run:
    # /usr/local/bin/geoipupdate.sh
    Message from openldap-client-2.4.44:
    ************************************************************
    
    The OpenLDAP client package has been successfully installed.
    
    Edit
      /usr/local/etc/openldap/ldap.conf
    to change the system-wide client defaults.
    
    Try `man ldap.conf' and visit the OpenLDAP FAQ-O-Matic at
      http://www.OpenLDAP.org/faq/index.cgi?file=3
    for more information.
    
    ************************************************************
    Message from mysql56-client-5.6.30:
    * * * * * * * * * * * * * * * * * * * * * * * *
    
    Please be aware the database client is vulnerable
    to CVE-2015-3152 - SSL Downgrade aka "BACKRONYM".
    You may find more information at the following URL:
    
    http://www.vuxml.org/freebsd/36bd352d-299b-11e5-86ff-14dae9d210b8.html
    
    Although this database client is not listed as
    "affected", it is vulnerable and will not be
    receiving a patch. Please take note of this when
    deploying this software.
    
    * * * * * * * * * * * * * * * * * * * * * * * *
    Message from suricata-3.0_2:
    ===========================================================================
    
    If you want to run Suricata in IDS mode, add to /etc/rc.conf:
    
            suricata_enable="YES"
            suricata_interface="<if>"
    
    NOTE: Declaring suricata_interface is MANDATORY for Suricata in IDS Mode.
    
    However, if you want to run Suricata in Inline IPS Mode in divert(4) mode,
    add to /etc/rc.conf:
    
            suricata_enable="YES"
            suricata_divertport="8000"
    
    NOTE:
            Suricata won't start in IDS mode without an interface configured.
            Therefore if you omit suricata_interface from rc.conf, FreeBSD's
            rc.d/suricata will automatically try to start Suricata in IPS Mode
            (on divert port 8000, by default).
    
    Alternatively, if you want to run Suricata in Inline IPS Mode in high-speed
    netmap(4) mode, add to /etc/rc.conf:
    
            suricata_enable="YES"
            suricata_netmap="YES"
    
    NOTE:
            Suricata requires additional interface settings in the configuration
            file to run in netmap(4) mode.
    
    RULES: Suricata IDS/IPS Engine comes without rules by default. You should
    add rules by yourself and set an updating strategy. To do so, please visit:
    
     http://www.openinfosecfoundation.org/documentation/rules.html
     http://www.openinfosecfoundation.org/documentation/emerging-threats.html
    
    You may want to try BPF in zerocopy mode to test performance improvements:
    
            sysctl -w net.bpf.zerocopy_enable=1
    
    Don't forget to add net.bpf.zerocopy_enable=1 to /etc/sysctl.conf
    
    ===========================================================================
    Message from smartmontools-6.4_2:
    smartmontools has been installed
    
    To check the status of drives, use the following:
    
            /usr/local/sbin/smartctl -a /dev/ad0    for first ATA/SATA drive
            /usr/local/sbin/smartctl -a /dev/da0    for first SCSI drive
            /usr/local/sbin/smartctl -a /dev/ada0   for first SATA drive
    
    To include drive health information in your daily status reports,
    add a line like the following to /etc/periodic.conf:
            daily_status_smart_devices="/dev/ad0 /dev/da0"
    substituting the appropriate device names for your SMART-capable disks.
    
    To enable drive monitoring, you can use /usr/local/sbin/smartd.
    A sample configuration file has been installed as
    /usr/local/etc/smartd.conf.sample
    Copy this file to /usr/local/etc/smartd.conf and edit appropriately
    
    To have smartd start at boot
            echo 'smartd_enable="YES"' >> /etc/rc.conf
    Message from php-xdebug-2.2.5:
    *****************************************************************************
    The php debugger 'xdebug' has been installed successful.
    Add a line containing
    
            extension=/usr/local/lib/php/20131226/xdebug.so
    
    or
    
            zend_extension=/usr/local/lib/php/20131226/xdebug.so
    
    to your php.ini to load it. xdebug is not compatible with the extension
    'Zend Optimizer' - you're only able to use one of them. So take care having
    at least the lesser required extension disabled by commenting out it's
    loader line in your php.ini.
    
    Add following section to enable profiling:
    
    xdebug.profiler_enable = 1
    xdebug.profiler_output_dir = /tmp/profiler
    
    *****************************************************************************
    Message from openvpn-2.3.11:
    ### ------------------------------------------------------------------------
    ###  Edit /etc/rc.conf[.local] to start OpenVPN automatically at system
    ###  startup. See /usr/local/etc/rc.d/openvpn for details.
    ### ------------------------------------------------------------------------
    ###  Connect to VPN server as a client with this command to include
    ###  the client.up/down scripts in the initialization:
    ###  openvpn-client <spec>.ovpn
    ### ------------------------------------------------------------------------
    ###  For compatibility notes when interoperating with older OpenVPN
    ###  versions, please, see <http: openvpn.net="" relnotes.html="">
    ### ------------------------------------------------------------------------
    Message from miniupnpd-1.9.20160113,1:
    *** !!WARNING!! !!WARNING!! !!WARNING!! ***
    This port allows machines within your network to create holes in your
    firewall.  Please ensure this is really what you want!
    *** !!WARNING!! !!WARNING!! !!WARNING!! ***
    
    For this daemon to work, you must modify your pf rules to add an anchor
    in both the NAT and rules section.  Both must be called 'miniupnpd'.
    Example:
    
    # NAT section
    # UPnPd rdr anchor
    rdr-anchor "miniupnpd"
    
    # Rules section
    # uPnPd rule anchor
    anchor "miniupnpd"
    Message from isc-dhcp43-server-4.3.3P1_1:
    ****  To setup dhcpd, please edit /usr/local/etc/dhcpd.conf.
    
    ****  This port installs the dhcp daemon, but doesn't invoke dhcpd by default.
          If you want to invoke dhcpd at startup, add these lines to /etc/rc.conf:
    
                dhcpd_enable="YES"                          # dhcpd enabled?
                dhcpd_flags="-q"                            # command option(s)
                dhcpd_conf="/usr/local/etc/dhcpd.conf"      # configuration file
                dhcpd_ifaces=""                             # ethernet interface(s)
                dhcpd_withumask="022"                       # file creation mask
    
    ****  If compiled with paranoia support (the default), the following rc.conf
          options are also supported:
    
                dhcpd_chuser_enable="YES"           # runs w/o privileges?
                dhcpd_withuser="dhcpd"              # user name to run as
                dhcpd_withgroup="dhcpd"             # group name to run as
                dhcpd_chroot_enable="YES"           # runs chrooted?
                dhcpd_devfs_enable="YES"            # use devfs if available?
                dhcpd_rootdir="/var/db/dhcpd"       # directory to run in
                dhcpd_includedir="<some_dir>"       # directory with config-
                                                      files to include
    
    ****  WARNING: never edit the chrooted or jailed dhcpd.conf file but
          /usr/local/etc/dhcpd.conf instead which is always copied where
          needed upon startup.
    Message from isc-dhcp43-relay-4.3.3P1_1:
    ****  This port installs the dhcp relay daemon, but doesn't invoke dhcrelay by
          default. If you want to invoke dhcrelay at startup, add the following
          lines to /etc/rc.conf:
    
                dhcrelay_enable="YES"
                dhcrelay_flags=""           # command option(s)
                dhcrelay_servers=""         # dhcrelay server(s)
                dhcrelay_ifaces=""          # ethernet interface(s)
    Message from isc-dhcp43-client-4.3.3P1_1:
    ****  To setup dhclient, you may need to edit /etc/rc.conf to replace the
          base system dhclient as follows:
    
                dhclient_program="/usr/local/sbin/dhclient"
                dhclient_flags="-q"
    
          See dhclient(8), using the following command, for details about other
          possible options:
    
                MANPATH=/usr/local/man man 8 dhclient
    Message from dnsmasq-devel-2.76.0test12:
    *** To enable dnsmasq, edit /usr/local/etc/dnsmasq.conf and
    *** set dnsmasq_enable="YES" in /etc/rc.conf[.local]
    ***
    *** Further options and actions are documented inside
    *** /usr/local/etc/rc.d/dnsmasq
    Message from beep-1.0_1:
    Speaker sound Support:
    ======================
    
    For support speaker sound four user needs to be in the operator group and needs
    read and write permissions to the /dev/speaker device.
    
    Load kernel modul:
    
    # kldload speaker
    
    Add a user to a group operator's:
    
    % pw groupmod operator -m jerry
    
    Uncomment the following lines in the file /etc/devfs.rules (create if it doesn't
    exist):
    
    # Allow members of group operator to cat things to the speaker
    
    [speaker=10]
    add path 'speaker' mode 0660 group operator
    
    To load these new rule add the following to /etc/rc.conf:
    
    devfs_speaker_ruleset="speaker"
    
    Then restart devfs to load the new rules:
    
    % /etc/rc.d/devfs restart
    Message from barnyard2-1.13:
    Read the notes in the barnyard2.conf file for how to configure
    /usr/local/etc/barnyard2.conf after installation.  For addtional information
    see the Securixlive FAQ at http://www.securixlive.com/barnyard2/faq.php.
    
    In order to enable barnyard2 to start on boot, you must edit /etc/rc.conf
    with the appropriate flags, etc.  See the FreeBSD Handbook for syntax:
    http://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/configtuning-rcng.html
    
    For the various options available, type % barnyard2 -h after install or read
    the options in the startup script - in /usr/local/etc/rc.d.
    
    Barnyard2 can process unified2 files from snort or suricata.  It can also
    interact with snortsam firewall rules as well as the sguil-sensor. Those
    ports must be installed separately if you wish to use them.
    
    ************************************************************************</some_dir></http:></spec></if>
    


  • It worked fine for me without any command line stuff.

    1. System / Update / Udate Settings - change branch to Stable (Default) and save.
    2. System / Update, it shows Latest Base System 2.3.2.a…
    3. Press Confirm anyway

    It switches pkg repo all by itself, installs the necessary new stuff, reboots and you are on 2.3.1-RELEASE

    Worked for me on an Alix 2D13 32-bit nanoBSD and on a full install in a VM.




  • It really works! Thanks, Phil!


Log in to reply